Skip to content
Start here

Delete an impersonation registry entry

client.emailSecurity.settings.impersonationRegistry.delete(stringimpersonationRegistryId, ImpersonationRegistryDeleteParams { account_id } params, RequestOptionsoptions?): ImpersonationRegistryDeleteResponse { id }
DELETE/accounts/{account_id}/email-security/settings/impersonation_registry/{impersonation_registry_id}

Removes an entry from the impersonation registry. After deletion, this identity will no longer be protected from impersonation.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: Write
ParametersExpand Collapse
impersonationRegistryId: string

Impersonation registry entry identifier

formatuuid
params: ImpersonationRegistryDeleteParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
ImpersonationRegistryDeleteResponse { id }
id: string

Impersonation registry entry identifier

formatuuid

Delete an impersonation registry entry

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const impersonationRegistry = await client.emailSecurity.settings.impersonationRegistry.delete(
  'f174e90a-fafe-4643-bbbc-4a0ed4fc8415',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(impersonationRegistry.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
  }
}